[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBar.Transparent

Indicates whether the control is drawn with transparency.

## Declaration

Source position: comctrls.pp line 2409

`published property TToolBar.Transparent : Boolean read GetTransparent write SetTransparent default False;`

## Description

Transparent is a Boolean property which indicates whether the tool bar is drawn with transparency. The default value for the property is False.

When set to True, the content for the Parent control can be seen beneath the unused areas on tool bar. Changing the value for the property causes control flags to be updated to add or remove csOpaque as needed, and the tool bar to be redrawn.